=== debian/changelog ===
glycin (2.1~beta+ds-0ubuntu3) resolute; urgency=medium

  * d/rules: Disable reftests for QOI image format on s390x
  * d/rules: Add back /usr/share/dpkg/default.mk

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Feb 2026 19:00:14 +0100

glycin (2.1~beta+ds-0ubuntu2) resolute; urgency=medium

  * d/tests: Add explicit dependencies on all required libheif plugins
  * d/rules: Enable build-time tests
  * d/tests: Allow running tests unsandboxed

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Feb 2026 16:03:01 +0100

glycin (2.1~beta+ds-0ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/patch-meson.diff
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
    - Add d/missing-sources-patches to patch vendored sources
  * New upstream release 2.1~beta

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Feb 2026 13:32:06 +0100

glycin (2.0.7+ds-5ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/missing-sources-patches: Backport patch to fix LibreOffice crash
    (LP: #2141356)
  * d/missing-sources-patches: Move libglycin logs to stderr
  * Apply patches to vendored rust crates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 10:53:28 +0100

glycin (2.0.7+ds-4ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: glycin-loaders Breaks older loupe
    - Vendor the rust crates for Ubuntu
    - Disable patches:
      + d/p/relax-deps.diff
      + d/p/relax-heif.diff
      + d/p/tests-serde-yaml.diff
      + d/p/zune-jpeg-0.5.diff
  * d/missing-sources-patches: Backport zbus patch to avoid SIGPIPE on loader error
  * Apply patches to vendored rust crates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 12:02:57 +0100
