=== debian/control ===
Source: glycin
Section: misc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 quilt,
 meson (>= 0.57),
 gobject-introspection,
 valac,
 gir1.2-gdk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64] <!pkg.glycin.nogtk4>,
 gir1.2-gobject-2.0-dev,
 gir1.2-gio-2.0-dev,
 libcairo2-dev (>= 0.17.0),
 liblcms2-dev,
 libgtk-4-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64] <!pkg.glycin.nogtk4>,
 libheif-dev (>= 1.17.0),
 libheif-plugin-aomenc <!nocheck>,
 libheif-plugin-aomdec <!nocheck>,
 libheif-plugin-libde265 <!nocheck>,
 libheif-plugin-x265 <!nocheck>,
 libjxl-dev (>= 0.11.0),
 libseccomp-dev,
 librsvg2-dev (>= 2.52.0),
 cargo-1.92:native,
# librust-async-fs-2+default-dev (>= 2.1.0-~~),
# librust-async-global-executor-3+default-dev,
# librust-async-io-2+default-dev (>= 2.3.2-~~),
# librust-async-lock-3+default-dev (>= 3.3.0-~~),
# librust-async-task-4+default-dev,
# librust-bitflags-2+default-dev (>= 2.9.0-~~),
# librust-blocking-1+default-dev (>= 1.6.1-~~),
# librust-cairo-rs-0.21+default-dev,
# librust-env-logger-0.11+humantime-dev,
# librust-four-cc-0.4+default-dev,
# librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
# librust-futures-lite-2+default-dev (>= 2.1.0-~~),
# librust-futures-task-0.3+default-dev (>= 0.3.30-~~),
# librust-futures-timer-3+default-dev (>= 3.0.3-~~),
# librust-futures-util-0.3+default-dev (>= 0.3.30-~~),
# librust-gdk4-0.10+default-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64] <!pkg.glycin.nogtk4>,
# librust-gdk4-0.10+v4-16-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64] <!pkg.glycin.nogtk4>,
# librust-gif-0.13+default-dev (>= 0.13.3-~~),
# librust-gio-0.21+default-dev,
# librust-gio-0.21+v2-62-dev,
# librust-glib-0.21+default-dev,
# librust-glib-0.21+v2-68-dev,
# librust-glycin-3+async-io-dev (>= 3.0.8-~~),
# librust-glycin-3+gobject-dev (>= 3.0.8-~~),
# librust-glycin-3-dev (>= 3.0.8-~~),
# librust-glycin-common-1+default-dev,
# librust-glycin-utils-4+async-io-dev (>= 4.0.3-~~),
# librust-glycin-utils-4+image-rs-dev (>= 4.0.3-~~),
# librust-glycin-utils-4+loader-utils-dev (>= 4.0.3-~~),
# librust-glycin-utils-4-dev (>= 4.0.3-~~),
# librust-gufo-0.3+all-image-formats-dev,
# librust-gufo-0.3+default-dev,
# librust-gufo-common-1+default-dev (>= 1.0.1-~~),
# librust-gufo-common-1+serde-dev (>= 1.0.1-~~),
# librust-gufo-exif-0.3+default-dev,
# librust-gufo-jpeg-0.3+default-dev,
# librust-gufo-jpeg-0.3+encoder-dev,
# librust-half-2+default-dev (>= 2.4.1-~~),
# librust-hayro-jpeg2000+image-dev,
# librust-image-0.25+bmp-dev (>= 0.25.7-~~),
# librust-image-0.25+dds-dev (>= 0.25.7-~~),
# librust-image-0.25+exr-dev (>= 0.25.7-~~),
# librust-image-0.25+ff-dev (>= 0.25.7-~~),
# librust-image-0.25+gif-dev (>= 0.25.7-~~),
# librust-image-0.25+hdr-dev (>= 0.25.7-~~),
# librust-image-0.25+ico-dev (>= 0.25.7-~~),
# librust-image-0.25+jpeg-dev (>= 0.25.7-~~),
# librust-image-0.25+png-dev (>= 0.25.7-~~),
# librust-image-0.25+pnm-dev (>= 0.25.7-~~),
# librust-image-0.25+qoi-dev (>= 0.25.7-~~),
# librust-image-0.25+tga-dev (>= 0.25.7-~~),
# librust-image-0.25+tiff-dev (>= 0.25.7-~~),
# librust-image-0.25+webp-dev (>= 0.25.7-~~),
# librust-image-0.25-dev (>= 0.25.7-~~),
# librust-jpeg-encoder-0.6+default-dev,
# librust-jpegxl-rs-0.11-dev,
# librust-jpegxl-sys-0.11-dev,
# librust-lcms2-6+default-dev (>= 6.0.3-~~),
# librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
# librust-libc-0.2+default-dev (>= 0.2.152-~~),
# librust-libheif-rs-2+v1-21-dev (>= 2.6.1-~~),
# librust-librsvg-rebind-0.2+default-dev (>= 0.2.1-~~),
# librust-libseccomp-0.4+default-dev,
# librust-log-0.4+default-dev,
# librust-memfd-0.6+default-dev (>= 0.6.3-~~),
# librust-memmap2-0.9+default-dev,
# librust-nix-0.30+default-dev,
# librust-nix-0.30+fs-dev,
# librust-nix-0.30+resource-dev,
# librust-nix-0.30+signal-dev,
# librust-paste-1+default-dev,
# librust-png-0.17+default-dev,
# librust-rayon-1+default-dev (>= 1.10.0-~~),
# librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
# librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
# librust-serde-1+default-dev (>= 1.0.162-~~),
# librust-serde-1+derive-dev (>= 1.0.162-~~),
# librust-static-assertions-1+default-dev (>= 1.1.0-~~),
# librust-system-deps-7+default-dev,
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tokio-1+default-dev (>= 1.35.1-~~),
# librust-tokio-1+fs-dev (>= 1.35.1-~~),
# librust-tokio-1+rt-dev (>= 1.35.1-~~),
# librust-tokio-1+rt-multi-thread-dev (>= 1.35.1-~~),
# librust-tokio-1+time-dev (>= 1.35.1-~~),
# librust-tokio-stream-0.1+default-dev (>= 0.1.15-~~),
# librust-tokio-stream-0.1+fs-dev (>= 0.1.15-~~),
# librust-tracing-0.1+default-dev (>= 0.1.40-~~),
# librust-tracing-subscriber-0.3+default-dev,
# librust-tracing-subscriber-0.3+env-filter-dev,
# librust-tracing-subscriber-0.3+fmt-dev,
# librust-yeslogic-fontconfig-sys-6+default-dev,
# librust-zbus-5+p2p-dev (>= 5.10.0-~~),
# librust-zerocopy-0.8+default-dev (>= 0.8.12-~~),
# librust-zune-jpeg-0.5+default-dev,
# librust-zvariant-5-dev (>= 5.9.2-~~),
# librust-serde-yaml-dev <!nocheck>,
 libstd-rust-dev,
 rustc-1.92:native,
XS-Vendored-Sources-Rust: adler2@2.0.1, ahash@0.8.12, aho-corasick@1.1.4, allocator-api2@0.2.21, approx@0.5.1, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.2.0, async-global-executor@3.1.0, async-io@2.6.0, async-lock@3.4.2, async-process@2.5.0, async-signal@0.2.13, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bit_field@0.10.3, bitflags@2.10.0, bitreader@0.3.11, blocking@1.6.2, bon-macros@3.8.2, bon@3.8.2, bytemuck@1.24.0, byteorder-lite@0.1.0, byteorder@1.5.0, bytes@1.11.0, cairo-rs@0.22.0-alpha.2, cairo-sys-rs@0.22.0-alpha.2, cc@1.2.55, cfg-expr@0.20.6, cfg-if@1.0.4, cfg_aliases@0.2.1, chrono@0.4.43, color_quant@1.1.0, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, darling@0.20.11, darling_core@0.20.11, darling_macro@0.20.11, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.1, enumflags2@0.7.12, enumflags2_derive@0.7.12, enumn@0.1.14, env_filter@0.1.4, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, exr@1.74.0, fallible_collections@0.5.1, fastrand@2.3.0, fax@0.2.6, fax_derive@0.2.0, fdeflate@0.3.7, fearless_simd@0.3.0, find-msvc-tools@0.1.9, flate2@1.1.8, fnv@1.0.7, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, four-cc@0.4.0, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.22.0-alpha.2, gdk-pixbuf@0.22.0-alpha.2, gdk4-sys@0.11.0-alpha.2, gdk4@0.11.0-alpha.2, getopts@0.2.24, getrandom@0.3.4, gif@0.14.1, gio-sys@0.22.0-alpha.2, gio-unix-sys@0.22.0-alpha.2, gio-unix@0.22.0-alpha.2, gio@0.22.0-alpha.2, glib-macros@0.22.0-alpha.2, glib-sys@0.22.0-alpha.2, glib@0.22.0-alpha.2, glycin-common@1.0.4-beta, glycin-utils@4.1.0-beta, glycin@3.1.0-beta, gobject-sys@0.22.0-alpha.2, gufo-common@1.1.0-alpha, gufo-exif@0.4.0-alpha, gufo-jpeg@0.4.0-alpha, gufo-png@0.4.0-alpha, gufo-tiff@0.4.0-alpha, gufo-webp@0.4.0-alpha, gufo-xmp@0.4.0-alpha, gufo@0.4.0-alpha, half@2.7.1, hashbrown@0.14.5, hashbrown@0.16.1, hayro-jpeg2000@0.3.2, heck@0.5.0, hex@0.4.3, iana-time-zone@0.1.65, ident_case@1.0.1, image-extras@0.1.0, image-webp@0.2.4, image@0.25.9, indexmap@2.13.0, itoa@1.0.17, jiff@0.2.18, jobserver@0.1.34, jpeg-decoder@0.3.2, jpeg-encoder@0.7.0, jpegxl-rs@0.12.0+libjxl-0.11.1, jpegxl-sys@0.12.0+libjxl-0.11.1, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, lebe@0.5.3, libc@0.2.180, libglycin-rebind-sys@0.1.0-beta, libglycin-rebind@0.1.0-beta, libheif-rs@2.6.1, libheif-sys@5.1.1+1.21.2, libloading@0.8.9, libopenraw@0.4.0-alpha.12, librsvg-rebind-sys@0.3.0-beta.0, librsvg-rebind@0.3.0-beta.0, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.11.0, log@0.4.29, matchers@0.2.0, matrixmultiply@0.3.10, memchr@2.7.6, memfd@0.6.5, memmap2@0.9.9, miniz_oxide@0.8.9, miniz_oxide@0.9.0, mio@1.1.1, moxcms@0.7.11, multiversion-macros@0.8.0, multiversion@0.8.0, nalgebra-macros@0.2.2, nalgebra@0.33.2, nix@0.30.1, nu-ansi-term@0.50.3, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, num_enum@0.7.5, num_enum_derive@0.7.5, once_cell@1.21.3, ordered-stream@0.2.0, pango-sys@0.22.0-alpha.2, pango@0.22.0-alpha.2, parking@2.2.1, paste@1.0.15, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, png@0.18.0, polling@3.11.0, prettyplease@0.2.37, proc-macro-crate@3.4.0, proc-macro2@1.0.106, pxfm@0.1.27, qoi@0.4.1, quick-error@2.0.1, quote@1.0.44, rawpointer@0.2.1, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.13, regex-syntax@0.8.8, rmp-serde@1.3.1, rmp@0.8.15, rustix@1.1.3, rustversion@1.0.22, ryu@1.0.22, safe-transmute@0.11.3, safe_arch@0.7.4, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_repr@0.1.20, serde_spanned@1.0.4, serde_yaml_ng@0.10.0, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.8, simba@0.9.1, simd-adler32@0.3.8, simple_logger@5.1.0, slab@0.4.11, smallvec@1.15.1, socket2@0.6.2, static_assertions@1.1.0, strsim@0.11.1, syn@2.0.114, system-deps@7.0.7, target-features@0.1.6, target-lexicon@0.13.3, thiserror-impl@2.0.18, thiserror@2.0.18, thread_local@1.1.9, tiff@0.10.3, tokio-stream@0.1.18, tokio@1.49.0, toml@0.9.11+spec-1.1.0, toml_datetime@0.7.5+spec-1.1.0, toml_edit@0.23.10+spec-1.0.0, toml_parser@1.0.6+spec-1.1.0, toml_writer@1.0.6+spec-1.1.0, tracing-attributes@0.1.31, tracing-core@0.1.36, tracing-log@0.2.0, tracing-subscriber@0.3.22, tracing@0.1.44, typenum@1.19.0, unicode-ident@1.0.22, unicode-width@0.2.2, unsafe-libyaml@0.2.11, uuid@1.20.0, version-compare@0.2.1, version_check@0.9.5, weezl@0.1.12, wide@0.7.33, winnow@0.7.14, xml-rs@0.8.28, yeslogic-fontconfig-sys@6.0.0, zbus@5.13.2, zbus_macros@5.13.2, zbus_names@4.3.1, zerocopy-derive@0.8.37, zerocopy@0.8.37, zune-core@0.4.12, zune-core@0.5.1, zune-inflate@0.2.54, zune-jpeg@0.4.21, zune-jpeg@0.5.12, zvariant@5.9.2, zvariant_derive@5.9.2, zvariant_utils@3.3.0
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/GNOME/glycin
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/glycin
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/glycin.git

Package: glycin-loaders
Architecture: any
Multi-Arch: foreign
Depends:
 bubblewrap,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libheif-plugin-aomenc | libheif-plugin-rav1e | libheif-plugin-svtenc,
Suggests:
 libheif-plugin-x265 | libheif-plugin-kvazaar,
Breaks:
 loupe (<< 49~),
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image loaders.

Package: glycin-thumbnailers
Architecture: any
Multi-Arch: foreign
Depends:
 glycin-loaders (>= 2~),
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image file thumbnailers

Package: libglycin-2-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 glycin-loaders (>= 2~),
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
