=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

# Disable lto on 32-bit arches since it OOMs otherwise
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

export PATH:=/usr/lib/rust-1.92/bin:$(PATH)

# Keep this in a Makefile variable to be overwritten by debian/tests/integration-tests
TEST_FLAGS = -Dtests=true -Dpython_tests=false -Dtest_skip_install=false

# qoi reftests fail on s390x
ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
  override TEST_FLAGS += -Dtest_skip_ext=qoi
endif

ifeq ($(filter libglycin-gtk4-2-dev,$(shell dh_listpackages)),)
  GTK4 = -Dlibglycin-gtk4=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(TEST_FLAGS) \
		$(GTK4)

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier 5

vendor:
	dh_quilt_patch
	rm -f .cargo/config
	rm -rf debian/missing-sources/
	$ cargo vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  debian/missing-sources/
	git add -f debian/missing-sources
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	env QUILT_PATCH_DIR=debian/missing-sources-patches dh_quilt_patch
	git add -f debian/missing-sources
	git commit -m "Apply patches to vendored rust crates" || true
	git reset --hard && git clean -fdx

	gbp export-orig
	rm debian/source/include-binaries
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

	rm Cargo.toml
	VENDORED_SOURCES=$$(CARGO_VENDOR_DIR=debian/missing-sources/ /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control || :
	git add debian/control
	git commit -m "Update XS-Vendored-Sources-Rust field" || true
	git checkout Cargo.toml
