=== debian/tests/control ===
Test-Command: debian/tests/integration-tests
Features: test-name=unsandboxed-integration-tests
Depends: @builddeps@,
         glycin-loaders,
         python3,
         python3-gi,
         gir1.2-gly-2,
         gir1.2-glygtk4-2,
# allow-stderr: debian cargo wrapper is printing to stderr
Restrictions: allow-stderr

Test-Command: debian/tests/integration-tests
Features: test-name=sandboxed-integration-tests
Depends: @builddeps@,
         glycin-loaders,
         python3,
         python3-gi,
         gir1.2-gly-2,
         gir1.2-glygtk4-2,
# isolation-machine: sandbox needs an environment that can run bwrap
# allow-stderr: debian cargo wrapper is printing to stderr
Restrictions: isolation-machine, allow-stderr
